import 'package:doctor_app_flutter/config/config.dart';
import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/core/model/referral/MyReferralPatientModel.dart';
import 'package:doctor_app_flutter/core/viewModel/patient-referral-viewmodel.dart';
import 'package:doctor_app_flutter/icons_app/doctor_app_icons.dart';
import 'package:doctor_app_flutter/models/patient/patiant_info_model.dart';
import 'package:doctor_app_flutter/screens/base/base_view.dart';
import 'package:doctor_app_flutter/util/date-utils.dart';
import 'package:doctor_app_flutter/util/helpers.dart';
import 'package:doctor_app_flutter/util/translations_delegate_base.dart';
import 'package:doctor_app_flutter/widgets/shared/app_scaffold_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/buttons/app_buttons_widget.dart';
import 'package:flutter/material.dart';

import '../../../../routes.dart';

class ReplySummeryOnReferralPatient extends StatefulWidget {
  final MyReferralPatientModel referredPatient;
  final String doctorReply;

  ReplySummeryOnReferralPatient(this.referredPatient, this.doctorReply);

  @override
  _ReplySummeryOnReferralPatientState createState() =>
      _ReplySummeryOnReferralPatientState(this.referredPatient);
}

class _ReplySummeryOnReferralPatientState
    extends State<ReplySummeryOnReferralPatient> {
  final MyReferralPatientModel referredPatient;

  _ReplySummeryOnReferralPatientState(this.referredPatient);

  @override
  Widget build(BuildContext context) {
    return BaseView<PatientReferralViewModel>(
        builder: (_, model, w) => AppScaffold(
              baseViewModel: model,
              isShowAppBar: true,
              appBarTitle: TranslationBase.of(context).summeryReply,
              body: Container(
                child: Column(
                  children: [

                    Expanded(
                      child: SingleChildScrollView(
                        child: Container(
                          width: double.infinity,
                          margin:
                              EdgeInsets.symmetric(horizontal: 16, vertical: 16),
                          padding: EdgeInsets.symmetric(
                              horizontal: 16, vertical: 16),
                          decoration: BoxDecoration(
                            color: Colors.white,
                            shape: BoxShape.rectangle,
                            borderRadius: BorderRadius.all(Radius.circular(8)),
                            border: Border.fromBorderSide(BorderSide(
                              color: Colors.white,
                              width: 1.0,
                            )),
                          ),
                          child: Column(
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              AppText(
                                TranslationBase.of(context).reply,
                                fontFamily: 'Poppins',
                                fontWeight: FontWeight.w700,
                                fontSize: 2.4 * SizeConfig.textMultiplier,
                                color: Color(0XFF2E303A),
                              ),
                              AppText(
                                widget.doctorReply ?? '',
                                fontFamily: 'Poppins',
                                fontWeight: FontWeight.w600,
                                fontSize: 1.8 * SizeConfig.textMultiplier,
                                color: Color(0XFF2E303A),
                              ),
                              SizedBox(
                                height: 8,
                              ),
                            ],
                          ),
                        ),
                      ),
                    ),
                    Container(
                      margin:
                          EdgeInsets.symmetric(horizontal: 16, vertical: 16),
                      child: Row(
                        children: [
                          Expanded(
                            child: AppButton(
                              onPressed: () {
                                Navigator.of(context).pop();
                              },
                              title: TranslationBase.of(context).cancel,
                              fontColor: Colors.white,
                              color: Colors.red[600],
                            ),
                          ),
                          SizedBox(width: 4,),
                          Expanded(
                            child: AppButton(
                              onPressed: () {},
                              title: TranslationBase.of(context).noteConfirm,
                              fontColor: Colors.white,
                              color: AppGlobal.appGreenColor,
                            ),
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ));
  }
}
